Subject: RE: linux-next: incorrect build fix

From: Kukjin Kim <[email-masked]>
Date: Wed, 09 Nov 2011 15:11:50 +0900

Kukjin Kim wrote:
> 
> Stephen Rothwell wrote:
> >
> > Hi,
> >
> Hi Stephen,
> 
> > I noticed in commit 8644c202ff42 ("ARM: EXYNOS: Fix compiler error with
> > THIS_MODULE") in the s5p tree, an include of linux/module.h is used to
> > get THIS_MODULE. For THIS_MODULE, you only need to include
> > linux/export.h, now.  To fix the other errors that were fixed by side
> > effects of including module.h, you should include linux/time.h (for
> > struct timeval, USEC_PER_SEC and do_gettimeofday).
> >
> OK, I will fix it in my tree.
> 
> > Please try a bit harder to get these things right.
> 
Stephen,

I'm not sure following......
So only for THIS_MODULE, <linux/export.h> should be added instead of
<linux/module.h>?

> Thanks for your pointing out :)
> 

Thanks.

Best regards,
Kgene.
--
Kukjin Kim <[email-masked]>, Senior Engineer,
SW Solution Development Team, Samsung Electronics Co., Ltd.